key-value-text-file:
  delimiter: '\s+=\s+'
  encoding: 'utf-8'
  filenames:
    - input-regex: '(?P<first>.*)-(?P<second>.*)-OD-(?P<third>.*)-OCT.mhd'
      output: '{first}-{second}-OD-{third}-OCT.mhd'
      groups:
        - name: first
          replace-with: '111111'
        - name: second
          hash: true
  fields:
    - name: ElementDataFile
      regex-sub:
        - input-regex: '(?P<first>.*)-(?P<second>.*)-OD-(?P<third>.*)-OCT.raw'
          output: '{first}-{second}-OD-{third}-OCT.raw'
          groups:
            - name: first
              replace-with: '111111'
            - name: second
              hash: true
